Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.mbeans
Interface MailActionMBean

public interface MailActionMBean
extends ServiceConfigurationMBean

MailAction configuration management bean interface.

This expects to be the child of a `CampaignServiceMBean`.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getDefaultFromAddress()` Get the default from: email address.
`java.lang.String` | `getEmailPropertyName()` Get the property name corresponding to a user property containing the user's email address.
`java.lang.String` | `getEmailPropertySet()` Get the property set name corresponding to a user property set containing the user's email address property.
`java.lang.String` | `getOptInPropertyName()` Get the property name corresponding to a user property containing the boolean controlling if the user opted in for email.
`java.lang.String` | `getOptInPropertySet()` Get the property set name corresponding to a user property set containing the boolean property controlling if the user opted in for email.
`void` | `setDefaultFromAddress(java.lang.String addr)` Set the default from: email address.
`void` | `setEmailPropertyName(java.lang.String name)` Set the property name corresponding to a user property containing the user's email address.
`void` | `setEmailPropertySet(java.lang.String name)` Set the property set name corresponding to a user property set containing the user's email address property.
`void` | `setOptInPropertyName(java.lang.String name)` Set the property name corresponding to a user property containing the boolean controlling if the user opted in for email.
`void` | `setOptInPropertySet(java.lang.String name)` Set the property set name corresponding to a user property set containing the boolean property controlling if the user opted in for email.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getAttributeStringValue, getNotes, getSetFields, getXml, getXmlConverter, isPersistenceEnabled, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getDefaultFromAddress

    public java.lang.String getDefaultFromAddress()

  Get the default from: email address.

  Old Property: mailAction.defaultFromAddress

### setDefaultFromAddress

    public void setDefaultFromAddress(java.lang.String addr)

  Set the default from: email address.

  A dynamic MBean attribute
  Old Property: mailAction.defaultFromAddress
  Legal NULL: false

### getEmailPropertyName

    public java.lang.String getEmailPropertyName()

  Get the property name corresponding to a user property containing the user's email address.

  Old Property: mailAction.emailPropertyName

### setEmailPropertyName

    public void setEmailPropertyName(java.lang.String name)

  Set the property name corresponding to a user property containing the user's email address.

  A dynamic MBean attribute
  Old Property: mailAction.emailPropertyName
  Legal NULL: false

### getEmailPropertySet

    public java.lang.String getEmailPropertySet()

  Get the property set name corresponding to a user property set containing the user's email address property.

  Old Property: mailAction.emailPropertySet

### setEmailPropertySet

    public void setEmailPropertySet(java.lang.String name)

  Set the property set name corresponding to a user property set containing the user's email address property.

  A dynamic MBean attribute
  Old Property: mailAction.emailPropertySet
  Legal NULL: false

### getOptInPropertyName

    public java.lang.String getOptInPropertyName()

  Get the property name corresponding to a user property containing the boolean controlling if the user opted in for email.

  Old Property: mailAction.optInPropertyName

### setOptInPropertyName

    public void setOptInPropertyName(java.lang.String name)

  Set the property name corresponding to a user property containing the boolean controlling if the user opted in for email.

  A dynamic MBean attribute
  Old Property: mailAction.optInPropertyName
  Legal NULL: false

### getOptInPropertySet

    public java.lang.String getOptInPropertySet()

  Get the property set name corresponding to a user property set containing the boolean property controlling if the user opted in for email.

  Old Property: mailAction.optInPropertySet

### setOptInPropertySet

    public void setOptInPropertySet(java.lang.String name)

  Set the property set name corresponding to a user property set containing the boolean property controlling if the user opted in for email.

  A dynamic MBean attribute
  Old Property: mailAction.optInPropertySet
  Legal NULL: false

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved